Subject: [alpine-devel] new aport dtach

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 15:42:03 +0000

Please review attached git patch.

Br,

Carlo

From 3342765b2e5562bc03aae0384f4e781e36d97cd9 Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 15:39:25 +0000
Subject: [PATCH] extra/dtach new aport

---
 extra/dtach/APKBUILD |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)
 create mode 100644 extra/dtach/APKBUILD

diff --git a/extra/dtach/APKBUILD b/extra/dtach/APKBUILD
new file mode 100644
index 0000000..66df9a7
--- /dev/null
+++ b/extra/dtach/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=dtach
+pkgver=0.8
+pkgrel=0
+pkgdesc="A program that emulates the detach feature of screen"
+url="http://dtach.sourceforge.net"
+license='GPL'
+depends="uclibc"
+makedepends=""
+source="http://surfnet.dl.sourceforge.net/sourceforge/dtach/dtach-0.8.tar.gz"
+subpackages="$pkgname-doc"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr
+	make || return 1
+	install -Dm755 "$srcdir"/dtach-0.8/dtach "$pkgdir"/usr/bin/dtach
+	install -Dm644 "$srcdir"/dtach-0.8/dtach.1 "$pkgdir"/usr/share/man/dtach.1
+	install -Dm644 "$srcdir"/dtach-0.8/README "$pkgdir"/usr/share/doc/README
+}
+
+md5sums="ec5999f3b6bb67da19754fcb2e5221f3  dtach-0.8.tar.gz"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 07 Jan 2009 09:38:23 +0100

> Please review attached git patch.

...

> +source="http://surfnet.dl.sourceforge.net/sourceforge/dtach/dtach-0.8.tar.gz"

Do you think it would be an idea to always use
 http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz for
packages hosted on sourceforge rather than using a specific sourceforge
mirror?

I committed as is since it was no problem with downloading it.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: "Carlo Landmeter" <[email-masked]>
Date: Wed, 7 Jan 2009 09:55:33 +0100

Fine by me. I didn't know which one to take for the round robin dl.
Can we add that info to abuild or someplace else?

---